//  Copyright (C) 2014 - Davide Cappucci
//
//  This file is part of the Robotics Toolbox for Scilab.
//
//  Robotics Toolbox is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  Robotics Toolbox is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//  This toolbox is inspired to the Robotics Toolbox v9 for MATLAB 
//  by Peter Corke.

// Function checked:
// ikine
// ikine6s

mdl_puma560;
T = transl(-0.5,0.5,0);

q2 = [5.283959; 2.497178; -0.235819; -3.141593;2.26136;-2.142366];
q3 = [-0.999227, 2.497177, -0.235815, 0, -2.261362, 0.999227];

q = ikine6s(p560,T);
assert_checkalmostequal(q, q2 ,1.e-5);

//q = ikine(p560,T);
//assert_checkalmostequal(q, q3 ,1.e-2);

clear p560 qz qready qstretch qn q q2 q3 T
